[android-components](../../../../index.md) / [mozilla.components.concept.awesomebar](../../../index.md) / [AwesomeBar](../../index.md) / [Suggestion](../index.md) / [Flag](./index.md)

# Flag

`enum class Flag` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/concept/awesomebar/src/main/java/mozilla/components/concept/awesomebar/AwesomeBar.kt#L107)

Flags can be added by a [SuggestionProvider](../../-suggestion-provider/index.md) to help the [AwesomeBar](../../index.md) implementation decide how to display
a specific [Suggestion](../index.md). For example an [AwesomeBar](../../index.md) could display a bookmark star icon next to [Suggestion](../index.md)s
that contain the [BOOKMARK](-b-o-o-k-m-a-r-k.md) flag.

### Enum Values

| Name | Summary |
|---|---|
| [BOOKMARK](-b-o-o-k-m-a-r-k.md) |  |
| [OPEN_TAB](-o-p-e-n_-t-a-b.md) |  |
| [CLIPBOARD](-c-l-i-p-b-o-a-r-d.md) |  |
